'use strict'

const path = require('path')

module.exports = {
  tmpl: path.resolve(__dirname, '../asset/tmpl'),
  pattern: [
    '**/.*.tmpl',
    '**/*.tmpl'
  ],
  ask: {
    package_name: '#{dirname}',
    package_description: '',
    repository: '#{gitUser.name}/#{dirname}',
    author_name: '#{gitUser.name}',
    author_email: '#{gitUser.email}',
    author_url: '#{gitUser.url}',
    demo_package: 'apeman-demo-demo'
  },
  mode: {
    'ci/*.*': '755'
  },
  'prefix': '~~~~',
  'suffix': '~~~~'
}
